import IPostMessage from '../../IPostMessage';
import ITimingTriggersMessage from './ITimingTriggersMessage';
export default class Triggers {
    private messagePrefix;
    private postMessage;
    static MESSAGE_PREFIX: string;
    /** @internal */
    constructor(messagePrefix: string, postMessage: IPostMessage<ITimingTriggersMessage>);
    /**
     * @internal
     * @todo
     */
    pause(): Promise<void>;
    /**
     * @internal
     * @todo
     */
    resume(): Promise<void>;
    private getMessage;
}
